Vianmääritys “E: pakettia ei löydy” -virhe Ubuntussa [Aloittajan opas]

Tämä aloittelija-opetusohjelma osoittaa, kuinka E: n korjaamiseen ei voida löytää pakettivirhettä Ubuntu Linuxissa.

Yksi monia tapoja asentaa ohjelmisto Ubuntuun on käyttää apt-get tai apt komento. Avaat päätelaitteen ja asennat sen ohjelman avulla ohjelman nimellä:

Lue lisää
sudo apt install package_name

Joskus saatat kohdata virheen yrittäessäsi asentaa sovellusta tällä tavalla. Virhe kuuluu seuraavasti:

sudo apt-get install package_name
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Unable to locate package package_name

Virhe on itsestään selvä. Linux-järjestelmäsi ei löydä pakettia, jota yrität asentaa. Mutta miksi niin on? Miksi se ei löydä pakettia? Katsotaanpa joitain toimista, joita voit tehdä tämän ongelman korjaamiseksi.

Korjataan Ubuntu-paketissa virhettä, jota ei löydy

Pakettivirhettä ei löytynyt UbuntuPakettivirhettä ei löytynyt Ubuntu

Katsotaanpa kuinka tämän ongelman vianetsintä tapahtuu vaihe kerrallaan.

1. Tarkista paketin nimi (ei, vakavasti)

Tämän pitäisi olla ensimmäinen tarkistettava asia. Teitkö kirjoitusvirheen paketin nimessä? Tarkoitan, jos yrität asenna vlc ja kirjoitit vcl, se epäilemättä epäonnistuu. Kirjoitusvirheet ovat yleisiä, joten varmista, että et ole tehnyt virheitä kirjoittamalla paketin nimeä.

2. Päivitä arkiston välimuisti

Jos käytät järjestelmää ensimmäistä kertaa asennuksen jälkeen, suorita päivityskomento:

sudo apt update

Tämä komento ei päivitä Ubuntu heti. Suosittelen pääsyä käsite Ubuntun arkistoista. Periaatteessa 'apt update' -komento rakentaa paikallisen välimuistin käytettävissä olevista paketeista.

Kun käytät asennuskomentoa, apt-pakettien hallintaohjelma etsii välimuistista paketti- ja versiotiedot ja lataa sen sitten arkistoistaan ​​verkon kautta. Jos pakettia ei ole tässä välimuistissa, järjestelmä ei voi asentaa sitä.

Kun sinulla on vasta asennettu Ubuntu-järjestelmä, välimuisti on tyhjä. Siksi sinun pitäisi suorittaa apt update -komento heti Ubuntun tai muiden Ubuntuun perustuvien jakelujen (kuten Linux Mint) asentamisen jälkeen.

Vaikka asennusvälimuisti ei olisi uusi, asennusvälimuisti saattaa olla vanhentunut. On aina hyvä idea päivittää se.

3. Tarkista, onko paketti saatavana Ubuntu-versiollesi

Hyvä on! Tarkistit paketin nimen ja se on oikein. Suoritat päivityskomennon välimuistin luomiseksi, mutta et silti näe pystyvän paikallistamaan paketin virhettä.

On mahdollista, että pakettia ei todellakaan ole saatavana. Mutta noudatat jollain verkkosivustolla mainittuja ohjeita, ja kaikki muut näyttävät pystyvän asentamaan sen sellaisenaan. Mikä voi olla ongelma?

Näen täällä kaksi asiaa. Joko Universumin arkistossa oleva paketti ja järjestelmäsi ei ole ottanut sitä käyttöön tai paketti ei ole kokonaan käytettävissä Ubuntun versiossa. Älä sekoitu. Selitän sen sinulle.

Ensimmäinen askel, tarkista käyttämäsi Ubuntu-versio. Avaa pääte ja käytä seuraavaa komentoa:

lsb_release -a

Saat tulosteen Ubuntu-versionumeron ja koodinimen. Koodinimi on tässä tärkeä:

[email protected]:~$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 18.04.3 LTS
Release:	18.04
Codename:	bionic
Ubuntun version tarkistusUbuntun version tarkistus
Ubuntun version tarkistus

Kuten täältä näet, käytän Ubuntu 18.04: ää ja sen koodinimi on Bionic. Sinulla voi olla jotain muuta, mutta saat ytimen siitä, mitä sinun on huomioitava täällä.

Kun sinulla on versionumero ja koodinimi, siirry Ubuntu-pakettien verkkosivustoon:

Ubuntu-paketit

Vieritä hiukan alas tällä sivulla ja siirry hakuosaan. Näet avainsanakentän. Kirjoita paketin nimi (jota järjestelmä ei löydä) ja aseta sitten oikea jakelukoodinimi. Kohdan tulisi olla mikä tahansa. Kun olet asettanut nämä kolme yksityiskohtaa, paina hakupainiketta.

Ubuntu-pakettihakuUbuntu-pakettihaku
Ubuntu-pakettihaku

Tämä näyttää, onko paketti saatavana Ubuntu-versiollesi ja jos kyllä, mihin arkistoon se kuuluu. Minun tapauksessani etsin Suljinkuvakaappaus-työkalu ja tämän se näytti minulle Ubuntu 18.04 Bionic -versiossa:

Pakettihaun tulosPakettihaun tulos
Pakettihaun tulos

Minun tapauksessani paketin nimi on tarkka haku. Tämä tarkoittaa, että pakettiaukko on saatavana Ubuntu 18.04 Bionic -sovellukselle, mutta 'Universe-arkistossa'. Jos ihmettelet, mikä helvetti on Universumin arkisto, kiitos viitata aiemmin mainitsemani Ubuntun arkistoartikkeliin.

Jos aiottu paketti on saatavana Ubuntu-versiollesi, mutta se on universumin tai moniosaisen kaltainen arkisto, sinun tulee ottaa käyttöön nämä ylimääräiset arkistot:

sudo add-apt-repository universe multiverse

Sinun on myös päivitettävä välimuisti, jotta järjestelmäsi on tietoinen uusista paketeista, joita on saatavana näiden arkistojen kautta:

sudo apt update

Nyt jos yrität asentaa paketin, asioiden pitäisi olla hyvin.

Mikään ei toimi, mitä nyt?

Jos Ubuntu-paketit-verkkosivusto osoittaa myös, että paketti ei ole saatavana tiettyyn versioon, sinun on löydettävä joitain muita tapoja asentaa paketti.

Otetaan esimerkiksi Suljin. Se on erinomainen kuvakaappaustyökalu Linuxille mutta sitä ei ole päivitetty vuosien varrella, joten Ubuntu on pudonnut sen Ubuntu 18.10: stä ja uudemmista versioista. Kuinka asentaa se nyt? Onneksi jotkut kolmannen osapuolen kehittäjät loivat henkilökohtaisen arkiston (PPA), jonka voit asentaa sen avulla. [Lue tämä yksityiskohtainen opas osoitteeseen ymmärtää Ubuntun PPA: ta.] Voit etsiä paketteja ja niiden PPA: ta Ubuntun Launchpad-verkkosivustolla.

Muista, että sinun ei pitäisi lisätä satunnaisia ​​(epävirallisia) EPA: ita arkistojen luetteloon. Suosittelen pitäytymistä sen suhteen, mitä jakelu tarjoaa.

Jos EPA: ta ei ole, tarkista projektin virallisilta verkkosivuilta ja katso, tarjoavatko ne vaihtoehtoisia tapoja sovelluksen asentamiseen. Jotkut projektit tarjoavat.DEB-tiedostot or AppImage tiedostot. Jotkut hankkeet ovat siirtyneet Napsauta paketteja.

Toisin sanoen, tarkista projektin virallisilta verkkosivuilta ja tarkista, ovatko projektit vaihtaneet asennustapaansa.

Jos mikään ei toimi, ehkä itse projekti lopetetaan ja jos näin on, sinun on etsittävä sen vaihtoehtoista sovellusta.

Lopussa…

Jos olet uusi Ubuntun tai Linuxin kanssa, asiat voivat olla ylivoimaisia. Siksi käsittelen joitain tällaisia ​​perusaiheita, jotta saat paremman käsityksen siitä, kuinka asiat toimivat järjestelmässäsi.

Toivon, että tämä opetusohjelma auttaa sinua käsittelemään pakettivirhettä Ubuntussa. Jos sinulla on kysymyksiä tai ehdotuksia, kysy rohkeasti kommentti-osiosta.